aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJeremy Lainé <jeremy.laine@m4x.org>2014-07-20 18:26:46 +0200
committerJeremy Lainé <jeremy.laine@m4x.org>2014-07-20 18:26:46 +0200
commitccbb0afa80394b1ac9e21b13ed6573e40ac661e2 (patch)
tree842e9fc6e33b9e74b1bf91fdc06ba9fe51329340 /tests
parent6dd8d60ecf38eb7a40046ee32add3c779aa8cba9 (diff)
downloadqxmpp-ccbb0afa80394b1ac9e21b13ed6573e40ac661e2.tar.gz
make sure tests fail on error!
Diffstat (limited to 'tests')
-rwxr-xr-xtests/travis/build-and-test.sh1
-rwxr-xr-xtests/travis/install-build-depends.sh1
2 files changed, 2 insertions, 0 deletions
diff --git a/tests/travis/build-and-test.sh b/tests/travis/build-and-test.sh
index 70a83b39..8ac8a8f7 100755
--- a/tests/travis/build-and-test.sh
+++ b/tests/travis/build-and-test.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
BUILD_FLAGS="QMAKE_CXXFLAGS += '-O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2'" \
"QMAKE_LFLAGS += '-Wl,-z,relro -Wl,--as-needed'"
diff --git a/tests/travis/install-build-depends.sh b/tests/travis/install-build-depends.sh
index ffdd2ed8..89fb0c88 100755
--- a/tests/travis/install-build-depends.sh
+++ b/tests/travis/install-build-depends.sh
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
sudo apt-get update -qq